#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

#define int long long

using namespace std;
using namespace __gnu_pbds;

template<typename T>
using oset = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

int32_t main() {
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);

    int n, k;
    cin >> n >> k;

    vector<int> a(n + 1);
    for (int i = 1; i <= n; ++i) {
        cin >> a[i];
    }

    long long ans = 0;

    set<pair<int, int>> used;
    for (int i = 1; i <= n; ++i) {
        if (used.size() < k) {
            ans += a[i] + i - used.size();
            used.insert({a[i] + i - used.size(), i});
        } else {
            if (a[i] + (i - used.size() + 1) < used.begin()->first) continue;
            ans -= used.begin()->first;
            used.erase(used.begin());
            ans += a[i] + i - used.size();
            used.insert({a[i] + i - used.size(), i});
        }
    }

    cout << ans << "\n";
    // vector<vector<long long>> dp(n + 1, vector<long long>(n + 1, 0));
    // for (int i = 1; i <= n; ++i) {
    //     for (int j = 1; j <= k; ++j) {
    //         for (int l = 0; l < i; ++l) {
    //             dp[i][j] = max(dp[i][j], dp[l][j - 1] + a[i] + i - l);
    //         }
    //     }
    // }

    // cout << dp[n][k] << "\n";

    return 0;
}
